VERSION 5.00
Begin VB.Form frmSample 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "RecurseDir Sample"
   ClientHeight    =   4635
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   6210
   Icon            =   "Sample.frx":0000
   MaxButton       =   0   'False
   ScaleHeight     =   4635
   ScaleWidth      =   6210
   StartUpPosition =   2  'CenterScreen
   Begin VB.CommandButton butExit 
      Cancel          =   -1  'True
      Caption         =   "&Exit"
      Height          =   375
      Left            =   4905
      TabIndex        =   4
      ToolTipText     =   "Click to exit RecurseDir Sample"
      Top             =   1575
      Width           =   1215
   End
   Begin VB.CommandButton butGo 
      Caption         =   "&Go"
      Default         =   -1  'True
      Height          =   375
      Left            =   4905
      TabIndex        =   3
      ToolTipText     =   "Click to view recursively the files for the choosed drive and folder"
      Top             =   1080
      Width           =   1215
   End
   Begin VB.CommandButton butAbout 
      Caption         =   "&About"
      Height          =   375
      Left            =   4905
      TabIndex        =   2
      ToolTipText     =   "Click to view library information"
      Top             =   600
      Width           =   1215
   End
   Begin VB.Frame fraFiles 
      Caption         =   "Files"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   1950
      Left            =   45
      TabIndex        =   6
      Top             =   2610
      Width           =   6135
      Begin VB.ListBox lstFiles 
         Height          =   1620
         Left            =   90
         MultiSelect     =   2  'Extended
         TabIndex        =   7
         ToolTipText     =   "File list"
         Top             =   225
         Width           =   5955
      End
   End
   Begin VB.Frame fraSource 
      Caption         =   "Source"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   2535
      Left            =   0
      TabIndex        =   5
      Top             =   0
      Width           =   4695
      Begin VB.DirListBox dirFolders 
         Height          =   1890
         Left            =   135
         TabIndex        =   0
         ToolTipText     =   "Click to change the default folder"
         Top             =   225
         Width           =   4455
      End
      Begin VB.DriveListBox drvDrives 
         Height          =   315
         Left            =   135
         TabIndex        =   1
         ToolTipText     =   "Click to change the default drive"
         Top             =   2160
         Width           =   4455
      End
   End
End
Attribute VB_Name = "frmSample"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

'Declare our global class
Public mclsDirRecurse As clsDirRecurse

Private Sub butGo_Click()
    Dim sFile As String
    
    Screen.MousePointer = vbHourglass
    butGo.Enabled = False
    lstFiles.Clear
    'Find first ocurrence
    sFile = mclsDirRecurse.DirRecurse(dirFolders.Path, 0)
    'Loop until no more files
    Do While (sFile <> "")
        lstFiles.AddItem sFile
        sFile = mclsDirRecurse.DirRecurse
    Loop
    butGo.Enabled = True
    Screen.MousePointer = vbDefault
End Sub

Private Sub dirFolders_Change()
    lstFiles.Clear
    lstFiles.AddItem "No files available in this view"
    lstFiles.AddItem "Click the Go button to list files"
End Sub

Private Sub drvDrives_Change()
    On Error GoTo drvDrives_Change_Err

    butGo.Enabled = True
    dirFolders.Enabled = True
    lstFiles.Clear
    lstFiles.AddItem "No files available in this view"
    lstFiles.AddItem "Click the Go button to list files"
    dirFolders.Path = Left(drvDrives.Drive, 2)
    Exit Sub
drvDrives_Change_Err:
    MsgBox "The drive is not ready", vbOKOnly + vbCritical, App.Title & " - Error -"
    butGo.Enabled = False
    dirFolders.Enabled = False
    lstFiles.Clear
    lstFiles.AddItem "The selected drive does no exist"
    lstFiles.AddItem "Select a ready drive, and then click the Go button to list files"
    Resume Next
End Sub

Private Sub Form_Load()
    Set mclsDirRecurse = New clsDirRecurse
    lstFiles.AddItem "No files available in this view"
    lstFiles.AddItem "Click the Go button to list files"
End Sub

Private Sub Form_QueryUnload(Cancel As Integer, UnloadMode As Integer)
    Dim intI As Integer
    
    If UnloadMode <> vbAppWindows And UnloadMode <> vbAppTaskManager Then
        intI = MsgBox("Are you sure to exit " & App.Title & "?", vbYesNo + vbQuestion, App.Title & " - Exit -")
        If intI = vbNo Then
            Cancel = 1
        End If
    End If
End Sub

Private Sub Form_Unload(Cancel As Integer)
    Set mclsDirRecurse = Nothing
    Set frmSample = Nothing
End Sub

Private Sub butAbout_Click()
    mclsDirRecurse.DirAbout
End Sub

Private Sub butExit_Click()
    Unload Me
End Sub

